3

Yesterday i try to install some package and i get error about runit . So i search on Internet and a fix was to

sudo dpkg --force runit

i did it but as i tried today

sudo apt-get update

i got this errror

E: dpkg was interrupted, you must manually run 'sudo dpkg --configure -a' to correct the problem. 

But then i tried configuring runit package and here is the error i get

start: Unable to connect to Upstart: Failed to connect to socket /com/ubuntu/upstart: Connection refused
dpkg: error processing package runit (--configure):
 subprocess installed post-installation script returned error exit status 1
Processing triggers for man-db (2.7.0.2-5) ...
Processing triggers for fontconfig (2.11.1-0ubuntu6) ...
Errors were encountered while processing:
 runit

Please help me how to fix this

6
  • sudo dpkg --force runit does absolutely nothing.
    – A.B.
    Nov 21, 2015 at 19:20
  • Which version of Ubuntu? Did you install runit from the repositories?
    – muru
    Nov 21, 2015 at 20:07
  • Edit your question and add the output of apt-cache policy runit
    – A.B.
    Nov 21, 2015 at 20:32
  • And what's your goal, install or remove runit?
    – A.B.
    Nov 21, 2015 at 20:33
  • Not longer interested?
    – A.B.
    Nov 22, 2015 at 12:51

1 Answer 1

2

The following answer worked for me. I found it here. I ran into this problem after trying to upgrade git with sudo apt-get install git-all.

I forcibly remove and then re-install runit like so:

sudo dpkg -r --force-all runit
sudo apt-get -f install runit

Not the answer you're looking for? Browse other questions tagged or ask your own question.